Subject: Re: Another OCP enet patch

From: David Gibson <[email-masked]>
Date: Wed, 29 May 2002 13:48:54 +1000

On Tue, May 28, 2002 at 06:51:23AM -0400, Dan Malek wrote:
>
> David Gibson wrote:
>
> >...  In some ways, since we're PPC specific anyway, I think it would
> >make as much sense as anything just to directly call
> >dcache_flush_range() and so forth, rather than consistent_sync() or
> >dma_cache_*().
>
> Yes, that's true.  These consistent_* functions were added when we
> started using non-PCI drivers that are common across multiple platforms.
> It seems none of the platforms had common names for data cache management
> functions, so people started using the consistent_sync() in it's place.
> It also made sense because they were using the other consistent_* functions
> as well.  No one probably noticed, but at the same time we also changed
> the cache management function names to be similar to other architectures
> as well.

Well, actually, dma_cache_wback() and friends still appear to be more
widely used than consistent_sync().  AFAICT only PPC and ARM use
consistent_sync().

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.  -- H.L. Mencken
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/